version: '3'

services:
  mariadb:
    image: mariadb:latest
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: dolibarr
    volumes: 
      - ./mysql/data:/var/lib/mysql
      - ./dump:/root/dump
    networks:
      - internal

  dolibarr:
    image: upshift/dolibarr:latest
    restart: always
    container_name: dolibarr
    environment:
      DOLI_DB_HOST: mariadb
      DOLI_DB_USER: root
      DOLI_DB_PASSWORD: root
      DOLI_DB_NAME: dolibarr
      DOLI_URL_ROOT: 'http://0.0.0.0'
      DOLI_ADMIN_LOGIN: admin
      DOLI_ADMIN_PASSWORD: admin
      PHP_INI_DATE_TIMEZONE: 'Europe/Paris'
      DOLI_INSTALL_AUTO: 1
    volumes: 
      - ./dolibarr/documents:/var/www/documents
    networks:
      - proxy
      - internal
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.dolibarr-secure.entrypoints=https"
      - "traefik.http.routers.dolibarr-secure.rule=Host(`dolibarr.mrdev023.fr`)"
      - "traefik.http.routers.dolibarr-secure.tls=true"
      - "traefik.http.routers.dolibarr-secure.tls.certresolver=sslResolver"
      - "traefik.docker.network=proxy"

networks:
  internal:
  proxy:
    external: true
